Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.html
Class HtmlScript

    java.lang.Object
      |
      +--org.w3c.jigsaw.html.HtmlScript

public class HtmlScript
extends java.lang.Object

a sample Script class for HTML documents

Constructor Summary
`HtmlScript(java.lang.String script)`
`HtmlScript(java.lang.String language, java.lang.String script)`

Method Summary
`void` | `append(java.lang.String str1)` append a string to the script buffer
`void` | `setLanguage(java.lang.String lang)` set the type of script used
`java.lang.String` | `toString()` genereate a String representation that can be append in a HTML document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlScript

    public HtmlScript(java.lang.String language,
                      java.lang.String script)

### HtmlScript

    public HtmlScript(java.lang.String script)

Method Detail

### setLanguage

    public void setLanguage(java.lang.String lang)

  set the type of script used
  Parameters:
    `script` - the type

### append

    public void append(java.lang.String str1)

  append a string to the script buffer
  Parameters:
    `str1` - A string to be append

### toString

    public java.lang.String toString()

  genereate a String representation that can be append in a HTML document
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD